[packages/google-chrome] beta uses chrome-beta dir now, so make update-source unpack proper flash file

arekm arekm at pld-linux.org
Fri Jul 18 07:42:03 CEST 2014


commit 185635d47e3f4dcda09046503dc78d507882631a
Author: Arkadiusz Miśkiewicz <arekm at maven.pl>
Date:   Fri Jul 18 07:41:59 2014 +0200

    beta uses chrome-beta dir now, so make update-source unpack proper flash file

 update-source.sh | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)
---
diff --git a/update-source.sh b/update-source.sh
index 58698cc..876a0c8 100755
--- a/update-source.sh
+++ b/update-source.sh
@@ -64,8 +64,12 @@ rpm=$name-$branch-$ver-$rev.$arch.rpm
 manifest=manifest-$ver.json
 test -e $rpm || wget -c $sourceurl/$rpm
 test -e $manifest || {
-	echo ./opt/google/chrome/PepperFlash/manifest.json > $t
+	echo ./opt/google/chrome*/PepperFlash/manifest.json > $t
 	rpm2cpio $rpm | cpio -i -E $t --to-stdout > manifest-$ver.json
+	if [ ! -s manifest-$ver.json ]; then
+		echo "Failed to extract flash version."
+		exit 1
+	fi
 }
 flashv=$(awk -F'"' '/version/{print $4}' manifest-$ver.json)
 
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/google-chrome.git/commitdiff/185635d47e3f4dcda09046503dc78d507882631a



More information about the pld-cvs-commit mailing list